LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XSQLData Interface Referencepublished

is used for the custom mapping of SQL user-defined types. More...

`import"XSQLData.idl";`

Inheritance diagram for XSQLData:

## Public Member Functions
string | getSQLTypeName () raises (SQLException)
| returns the fully-qualified name of the SQL user-defined type that this object represents. More...
void | readSQL ([in]XSQLInput stream, [in]string typeName) raises (SQLException)
| populates this object with data read from the database. More...
void | writeSQL ([in]XSQLOutput stream) raises (SQLException)
| writes this object to the given SQL data stream. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

is used for the custom mapping of SQL user-defined types.

This interface must be implemented by a service that is registered in a type mapping. It is expected that this interface will normally be implemented by a tool. The methods in this interface are called by the driver and are never called by a programmer directly.

## Member Function Documentation

## ◆ getSQLTypeName()

string getSQLTypeName | ( |  | ) |
raises | ( | SQLException
| ) |  |

returns the fully-qualified name of the SQL user-defined type that this object represents.

This method is called by the SDBC driver to get the name of the UDT instance that is being mapped to this instance of SQLData.

Returns
  the name of the SQL type.

Exceptions

  SQLException | if a database access error occurs.

## ◆ readSQL()

void readSQL | ( | [in] XSQLInput | stream,
|  | [in] string | typeName
| ) |  |
raises | ( | SQLException
| ) |  |

populates this object with data read from the database.

The implementation of the method must follow this protocol:
It must read each of the attributes or elements of the SQL type from the given input stream. This is done by calling a method of the input stream to read each item, in the order that they appear in the SQL definition of the type. The method `readSQL` then assigns the data to appropriate fields or elements (of this or other objects).
Specifically, it must call the appropriate `XSQLInput.readXXX` method(s) to do the following: for a Distinct Type, read its single data element; for a Structured Type, read a value for each attribute of the SQL type.

The SDBC driver initializes the input stream with a type map before calling this method, which is used by the appropriate `SQLInput.readXXX` method on the stream.

Parameters

  stream | the input SQL data stream
  typeName | the SQL type of the value on the data stream

Exceptions

  SQLException | if a database access error occurs.

See also
  com::sun::star::sdbc::XSQLInput

## ◆ writeSQL()

void writeSQL | ( | [in] XSQLOutput | stream | ) |
raises | ( | SQLException
| ) |  |

writes this object to the given SQL data stream.

The implementation of the method must follow this protocol:
It must write each of the attributes of the SQL type to the given output stream. This is done by calling a method of the output stream to write each item, in the order that they appear in the SQL definition of the type. Specifically, it must call the appropriate `XSQLOutput.writeXXX` method(s) to do the following:
for a Distinct Type, write its single data element; for a Structured Type, write a value for each attribute of the SQL type.

Parameters

  stream | the output SQL data stream

Exceptions

  SQLException | if a database access error occurs.

See also
  com::sun::star::sdbc::XSQLOutput

The documentation for this interface was generated from the following file:

- com/sun/star/sdbc/XSQLData.idl